package com.bonus.core.drp.po;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpOutDetailModel {
   private Long detailId;
   private Long inventoryId;
   private BigDecimal fetchNum;
   private Integer totalPrice;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("单价")
   private Integer unitPrice;

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public BigDecimal getFetchNum() {
      return this.fetchNum;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setFetchNum(final BigDecimal fetchNum) {
      this.fetchNum = fetchNum;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

}
